Bug 505058 - Intel GMA 4500MHD - Blankscreen without nomodeset option [NEEDINFO]
Intel GMA 4500MHD - Blankscreen without nomodeset option
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 10:34 EDT by Ashok Gautham
Modified: 2013-01-10 00:14 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:51:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (scriptdevil)
mcepl: needinfo? (scriptdevil)


Attachments (Terms of Use)

  None (edit)
Description Ashok Gautham 2009-06-10 10:34:10 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Fedora 11- LiveCD

How reproducible:
I use an Acer Aspire 5738 laptop. It has an Intel GMA 4500MHD graphics card. Without nomodeset kernel option, the graphics gets to a blank black screen.
(Also, it ignores the xdriver= boot options which would have otherwise allowed me to use the xdriver=vesa boot option)
Steps to Reproduce:
1. Put the LiveCD in and boot with it
2. Just boot with it without changing any options

Actual results:
A blank screen

Expected results:
X starting

Additional info:
This is fixed by giving nomodeset as a boot option in the bootloader
Comment 1 Matěj Cepl 2009-06-16 18:18:29 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 hariharan 2009-06-22 06:21:07 EDT
hiii, i too have the same problem, i installed FC11 in my acer 5738 laptop with minimum driver support which means i can have a resolution of max 800*600 when i go with normal installation i get a blank screen...with minmum driver suport mode i only had one 2 lines where i did not find any options to add modes...

and am not familiar to use nomodeset option too.. as am new to linux.. hwere and how to use them??
Comment 3 hariharan 2009-06-22 06:23:06 EDT
hiii, i too have the same problem, i installed FC11 in my acer 5738 laptop with
minimum driver support which means i can have a resolution of max 800*600 when
i go with normal installation i get a blank screen...with minmum driver suport
mode i only had one 2 lines in xorg.conf where i did not find any options to add modes...

and am not familiar to use nomodeset option too.. as am new to linux.. hwere
and how to use them??
Comment 4 hariharan 2009-06-22 06:25:19 EDT
hiii, i too have the same problem, i installed FC11 in my acer 5738 laptop with
minimum driver support which means i can have a resolution of max 800*600 when
i go with normal installation i get a blank screen...with minmum driver suport
mode i only had one 2 lines in xorg.conf where i did not find any options to add modes...

and am not familiar to use nomodeset option too.. as am new to linux.. hwere
and how to use them??
Comment 5 Vedran Miletić 2009-09-06 03:27:20 EDT
In Fedora 11 package is named xorg-x11-drv-intel. Changing bugs apropriately.
Comment 7 Matěj Cepl 2009-11-05 13:31:06 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Bug Zapper 2010-04-27 10:44:02 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 08:51:54 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.